Bug 535208 - (RHQ-1929) remove quartz-ra.rar
remove quartz-ra.rar
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Filip Drabek
http://jira.rhq-project.org/browse/RH...
: CodeChange
Depends On:
Blocks: jon30-bugs
  Show dependency treegraph
 
Reported: 2009-04-03 23:31 EDT by John Mazzitelli
Modified: 2013-09-02 03:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:17:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-04-03 23:31:00 EDT
We recently updated the version of quartz in the server. JBossAS 4.2 shipped with quartz 1.5 and we upgraded to 1.6

I noticed there is a quartz-ra.rar in the deploy directory. I'm unsure what this is used for but I do not think we need or use it. I took it out, started the server and nothing bad happened (no errors and our EJB timers were triggered fine).

Rather than risk having an obsolete quartz-ra.rar in the deployment (since we upgraded quartz, I'm not sure that this .rar would even work even if its deployed), we should take it out of the server build. Just one less thing installed in the server to worry about.

Before we commit this, we need to confirm what this quartz-ra.rar is really for and make sure we really don't need it/use it.
Comment 1 John Mazzitelli 2009-04-03 23:33:30 EDT
FYI: quartz-ra.rar is responsible for these messages early on in the server startup (notice that it is using our updated quartz 1.6.5 now):

23:31:46,687 INFO  [QuartzScheduler] Quartz Scheduler v.1.6.5 created.
23:31:46,687 INFO  [RAMJobStore] RAMJobStore initialized.
23:31:46,687 INFO  [StdSchedulerFactory] Quartz scheduler 'DefaultQuartzScheduler' initialized from default resource file in Quartz package: 'quartz.properties'
23:31:46,687 INFO  [StdSchedulerFactory] Quartz scheduler version: 1.6.5
23:31:46,687 INFO  [QuartzScheduler] Scheduler DefaultQuartzScheduler_$_NON_CLUSTERED started.
Comment 2 John Mazzitelli 2009-04-03 23:36:12 EDT
OK, now I'm sure we can get rid of quartz-ra.rar, we do not use it. See:

http://www.jboss.org/community/docs/DOC-11724

"If you have installed JBoss using the 4.0.4.GA installer it comes bundled with Quartz integration packaged as a JCA Message-Inflow resource adapter: quartz-ra.rar.
This resource adapter is also present in JBoss 4.2.0 or later.
This integration allows you to schedule stateless or stateful quartz jobs and have the job be posted to a Message Driven bean.  The Quartz Resource Adapter creates a non-persistent scheduler.  Jobs are created from deployed MDBs from information in the MDB's activation config spec.  Currently only cron jobs are allowed to be configured.  In future versions we will support other activation config spec setting for Quartz."

Nowhere in our code do we use

@ResourceAdapter("quartz-ra.rar")

We rely on going directly to the quartz API to setup jobs.
Comment 3 Red Hat Bugzilla 2009-11-10 15:49:40 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1929
Comment 4 Filip Drabek 2010-08-26 03:44:20 EDT
commit 2817b52f6ecf08670242d62f381113969d78c8e9
Comment 5 Sudhir D 2010-10-20 08:10:36 EDT
I have verified this against the latest build on rhq-server-4.0.0-SNAPSHOT. I don't see quartz-ra.rar in the deploy directory. 

Marking this bug as verified.
Comment 6 Sudhir D 2010-10-20 08:14:11 EDT
Oh yes and I do see the below in log,

rhq-server-log4j.log:2010-10-20 17:26:52,196 INFO  [org.rhq.enterprise.server.scheduler.SchedulerService] Scheduler service will start Quartz scheduler now - jobs will begin executing.
Comment 7 Heiko W. Rupp 2013-09-02 03:17:11 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.